import upload from '@/utils/upload'
import request from '@/utils/request'

// 用户密码重置
export function updateUserPwd(oldPassword, newPassword) {
  const data = {
    oldPassword,
    newPassword
  }
  return request({
    url: '/system/user/profile/update-password',
    method: 'PUT',
    params: data
  })
}

// 查询用户个人信息
export function getUserProfile() {
  return request({
    url: '/system/user/profile/get',
    method: 'GET'
  })
}

// 修改用户个人信息
export function updateUserProfile(data) {
  return request({
    url: '/system/user/profile/update',
    method: 'PUT',
    data: data
  })
}

// 用户头像上传
export function uploadAvatar(data) {
  return upload({
    url: '/system/user/profile/update-avatar',
    method: 'PUT',
    name: data.name,
    filePath: data.filePath
  })
}
// 上传文件
export function uploadFile(data) {
  return upload({
    url: '/infra/file/uploaData',
    method: 'PUT',
    name: data.name,
    filePath: data.filePath
  })
}

//获得员工信息根据id
export function getEmployeeInfo(id) {
  return request({
    url: '/personnel/employee/get?id=' + id,
    method: 'get'
  })
}
